Update invoice
curl --request PUT \
--url https://{domain}/api/v2/network/aff-billing/invoices/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "string",
"date_due": "2025-01-20",
"invoice_memo": "string",
"internal_notes": "string"
}
'import requests
url = "https://{domain}/api/v2/network/aff-billing/invoices/{id}"
payload = {
"status": "string",
"date_due": "2025-01-20",
"invoice_memo": "string",
"internal_notes": "string"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: 'string',
date_due: '2025-01-20',
invoice_memo: 'string',
internal_notes: 'string'
})
};
fetch('https://{domain}/api/v2/network/aff-billing/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"name": "OK",
"message": "<string>"
}{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}{
"message": "API key is invalid or missing.",
"success": false
}{
"message": "This endpoint is not available for your role.",
"success": false
}{
"message": "Resource not found.",
"success": false
}{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}Affiliate billing
Update invoice
Updates an existing invoice.
PUT
/
api
/
v2
/
network
/
aff-billing
/
invoices
/
{id}
Update invoice
Authorizations
ApiKeyHeaderAuthApiKeyAuth
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Path Parameters
Invoice ID.
Body
application/jsonmultipart/form-data
Was this page helpful?
⌘I